GET /contacts/v1/contacts/actions/delete/status?operationID=

Overview 

Retrieves status of contact deletion operation.

URL Parameters 

NameTypeDescription
operationIDintegerRequiredQuery string parameter indicating ID of operation to check status

Usage 

Use the OperationID value returned by a contact delete call in the query string parameter.

Since the contact delete call has 2 phases, there is a response example for each of the 2 phases.

Example Request 

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2GET /contacts/v1/contacts/actions/delete/status?operationID=
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response 

1{
2  "operation": {
3    "listTypeID": 5,
4    "listIdentifier": "037c2811-ce62-4381-b3d2-1936e51fbf4d",
5    "listKey": "037c2811-ce62-4381-b3d2-1936e51fbf4d",
6    "expectedListCount": 1,
7    "deleteType": "ContactAndAttributes",
8    "deleteListOnCompleted": false,
9    "operationID": 2,
10    "eID": 12345,
11    "mID": 12345,
12    "employeeID": 30980,
13    "operationRequestID": "21d0d10d-a15a-413c-bc3e-8b43b185e551",
14    "status": "Completed",
15    "scheduledTime": "2016-06-14T16:01:58.107",
16    "retryCount": 0,
17    "createdDate": "2016-06-14T16:02:00",
18    "createdBy": 30980,
19    "modifiedDate": "2016-06-14T16:02:00",
20    "modifiedBy": 30980
21  },
22  "requestServiceMessageID": "93631be1-107f-4239-a8b7-cdae245d7403",
23  "resultMessages": [],
24  "serviceMessageID": "00e6add8-d79a-4bd6-9568-2f2a272538f0"
25}

In the delete phase, the backgroundOperationStatusID under the backgroundOperationsSummary node provides that status. If you’re implementing this API, should use the backgroundOperationStatusID to determine whether or not the deletion has been fully processed. The notable values of backgroundOperationStatusID are:

1Completed
2Aborted (this is usually done at customer's request - this means contacts were restored back to active after suppression phase was completed)
3Invalid

All other status values should be interpreted as “Processing”. Developers often use this status in their API implementation layer.

Example Response - GetStatusRoute: Delete Operations 

1{
2  "operationMappings": [],
3  "numberofRestorableDays": 14,
4  "operation": {
5    "contextType": 0,
6    "isRestrictedForProcessing": false,
7    "listTypeID": 1,
8    "listIdentifier": "TestListInput",
9    "listKey": "TestListInput.Key",
10    "expectedListCount": 1,
11    "deleteType": "ContactAndAttributes",
12    "deleteListOnCompleted": false,
13    "errorsOccurredInBatchProcess": false,
14    "lastProcessedMilestone": "Completed",
15    "operationID": 1,
16    "eID": 10650003,
17    "mID": 10650003,
18    "employeeID": -1000,
19    "requestID": "c79583e2-cc79-4a38-8378-52714b00eaa1",
20    "status": "Pending",
21    "scheduledDate": "2019-07-02T14:24:48.013",
22    "startDate": "2019-07-02T14:24:48.013",
23    "endDate": "2019-07-02T14:24:48.013",
24    "retryCount": 0,
25    "createdDate": "2019-07-02T14:25:00",
26    "createdBy": -1000,
27    "modifiedDate": "2019-07-02T14:25:00",
28    "modifiedBy": -1000
29  },
30  "requestServiceMessageID": "450f5391-3850-4d00-a0d7-3f3bb55abee3",
31  "responseDateTime": "2019-07-02T14:24:48.5030664-04:00",
32  "resultMessages": [],
33  "serviceMessageID": "99e75027-deed-4441-b94a-bdfd335e730f"
34}

Example - Operation Completed Suppression, within ‘Delete Phase’ / Processing 

1{
2  "operationMappings": [],
3  "backgroundOperationsSummary": [
4    {
5      "backgroundOperationID": 1,
6      "createdDate": "2019-07-02T14:27:42.4039",
7      "backgroundOperationStatusID": "Processing"
8    }
9  ],
10  "numberofRestorableDays": 14,
11  "operation": {
12    "contextType": 0,
13    "isRestrictedForProcessing": false,
14    "listTypeID": 1,
15    "listIdentifier": "TestListInput",
16    "listKey": "TestListInput.Key",
17    "expectedListCount": 1,
18    "deleteType": "ContactAndAttributes",
19    "deleteListOnCompleted": false,
20    "errorsOccurredInBatchProcess": false,
21    "lastProcessedMilestone": "Completed",
22    "operationID": 1,
23    "eID": 10650003,
24    "mID": 10650003,
25    "employeeID": -1000,
26    "requestID": "3b475bee-aa37-4aa4-9fcc-c58d2f9e6242",
27    "status": "Completed",
28    "scheduledDate": "2019-07-02T14:27:42.383",
29    "startDate": "2019-07-02T14:27:42.383",
30    "endDate": "2019-07-02T14:27:42.383",
31    "retryCount": 0,
32    "createdDate": "2019-07-02T14:28:00",
33    "createdBy": -1000,
34    "modifiedDate": "2019-07-02T14:28:00",
35    "modifiedBy": -1000
36  },
37  "requestServiceMessageID": "e35a0144-8b75-4d9b-b75f-9c51037333d6",
38  "responseDateTime": "2019-07-02T14:27:42.9189678-04:00",
39  "resultMessages": [],
40  "serviceMessageID": "e72e7086-3019-43e0-8858-088c7864d6c9"
41}

DID THIS ARTICLE SOLVE YOUR ISSUE?
Let us know so we can improve!